<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified by javier.aponte
  
CU-NP-FA-215 Registrar evidencias de socialización

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Registrar evidencias de socialización::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsRegistrarEvidenciasDeSocializacion"
                    showDetail="false" globalOnly="false" />

        <h:form prependId="false" id="registrarEvidenciasDeSocializacionForm">
            <p:panel header="Registrar evidencias de socialización">
                <p:panel header="Actas de socialización">
                    <h:panelGrid width="100%">
                        <p:dataTable
                            value="#{registrarEvidenciasDeSocializacion.actualizacionEventos}"
                            var="actualizacionEvento" id="actasTable"
                            emptyMessage="No hay actas de socialización relacionadas">

                            <p:column headerText="Opciones" style="width:50px">

                                <p:commandButton
                                    update=":registrarEvidenciasDeSocializacionForm"
                                    action="#{registrarEvidenciasDeSocializacion.eliminarActualizacionEvento}"
                                    icon="ui-icon-trash" title="Eliminar" process="@this">
                                    <f:setPropertyActionListener value="#{actualizacionEvento}"
                                                                 target="#{registrarEvidenciasDeSocializacion.actualizacionEventoSeleccionado}" />
                                </p:commandButton>
                                <p:commandButton
                                    update=":registrarEvidenciasDeSocializacionForm"
                                    icon="ui-icon-pencil" title="Editar" process="@this">
                                    <f:setPropertyActionListener value="#{actualizacionEvento}"
                                                                 target="#{registrarEvidenciasDeSocializacion.actualizacionEventoSeleccionado}" />
                                    <f:setPropertyActionListener value="#{true}"
                                                                 target="#{registrarEvidenciasDeSocializacion.banderaAgregarActa}" />
                                </p:commandButton>

                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Descripción" />
                                </f:facet>
                                <h:outputText value="#{actualizacionEvento.descripcion}" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Fecha" />
                                </f:facet>
                                <h:outputText value="#{actualizacionEvento.fecha}" />
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Asistentes" />
                                </f:facet>
                                <p:commandLink
                                    value="Ver lista de asistentes"
                                    onstart="statusDialog2.show()"
                                    oncomplete="verAsistentesWV.show();statusDialog2.hide()">
                                    <f:setPropertyActionListener
                                        target="#{registrarEvidenciasDeSocializacion.actualizacionEventoSeleccionado}"
                                        value="#{actualizacionEvento}" />
                                </p:commandLink>								
                            </p:column>

                            <p:column>
                                <f:facet name="header">
                                    <h:outputText value="Acta" />
                                </f:facet>
                                <p:commandLink
                                    value="Ver Acta"
                                    onstart="statusDialog2.show()"
                                    oncomplete="verActaWV.show();statusDialog2.hide()">
                                    <f:setPropertyActionListener
                                        target="#{registrarEvidenciasDeSocializacion.actualizacionEventoSeleccionado}"
                                        value="#{actualizacionEvento}" />
                                </p:commandLink>
                            </p:column>
                        </p:dataTable>
                    </h:panelGrid>

                    <p:spacer width="30" height="30" />

                    <p:commandButton value="Agregar acta de socialización"
                                     action="#{registrarEvidenciasDeSocializacion.agregarActaDeSocializacion}"
                                     update=":registrarEvidenciasDeSocializacionForm" process="@this" />

                    <p:separator/>

                    <p:panel header="Agregar acta de socialización"
                             rendered="#{registrarEvidenciasDeSocializacion.banderaAgregarActa}">
                        <h:panelGrid columns="3">
                            <h:panelGroup>
                                <h:panelGrid columns="3">
                                    <h:outputLabel value="Descripción"
                                                   styleClass="outputLabelStyle" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                                    <h:inputText size="60"
                                                 value="#{registrarEvidenciasDeSocializacion.actualizacionEventoSeleccionado.descripcion}" />
                                </h:panelGrid>
                                <h:panelGrid columns="4">
                                    <h:outputLabel value="Fecha de la socialización"
                                                   styleClass="outputLabelStyle" />
                                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                                    <p:spacer width="7" height="0" />
                                    <p:calendar id="fechaSocializacion" 
                                                navigator="true"
                                                value="#{registrarEvidenciasDeSocializacion.actualizacionEventoSeleccionado.fecha}"
                                                label="Fecha de la socialización" pattern="#{general.formatoFecha}"
                                                showOn="both" title="#{general.formatoFechaUsuario}"
                                                tabindex="0" effect="slideDown" size="12" />
                                    <p:message for="fechaSocializacion" display="icon"/>
                                </h:panelGrid>

                                <ui:include src="/actualizacion/funcionariosYContratistas.xhtml">
                                    <ui:param name="managedBeanParam"
                                              value="#{registrarEvidenciasDeSocializacion}" />
                                </ui:include>		

                                <h:panelGrid columns="2" cellspacing="7">

                                    <h:outputLabel value="Cargar acta: "
                                                   styleClass="outputLabelStyle" />

                                    <p:fileUpload id="actaDocument" label="Cargar acta"
                                                  fileUploadListener="#{registrarEvidenciasDeSocializacion.cargarArchivo}"
                                                  dragDropSupport="true"
                                                  widgetVar="uploader" mode="advanced" auto="true"
                                                  allowTypes="/(\.|\/)(pdf|tif|dwg|png|jp[e]?g)$/"
                                                  sizeLimit="#{general.maximoTamanoAdjuntos}" update=":msgsRegistrarEvidenciasDeSocializacion"
                                                  onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

                                </h:panelGrid>

                                <p:spacer width="20" />

                                <p:commandButton
                                    update=":registrarEvidenciasDeSocializacionForm"
                                    value="Agregar asistente invitado"
                                    oncomplete="agregarAsistenteInvitadoWV.show()"/>

                            </h:panelGroup>
                        </h:panelGrid>
                    </p:panel>

                    <p:spacer width="30" height="30" />
                    <p:commandButton value="Finalizar" rendered="#{not empty registrarEvidenciasDeSocializacion.currentActualizacion.actualizacionEventos}"/>

                </p:panel>
            </p:panel>
        </h:form>

        <p:dialog header="Agregar asistente invitado"
                  widgetVar="agregarAsistenteInvitadoWV" 
                  appendToBody="true" width="920" height="480">
            <ui:include src="../agregarAsistenteInvitado.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{registrarEvidenciasDeSocializacion}" />
                <ui:param name="formParam"
                          value=":registrarEvidenciasDeSocializacionForm" />
            </ui:include>
        </p:dialog>

    </ui:define>
</ui:composition>